From: Guilhem Moulin <guilhem@debian.org>
Date: Sun, 20 Feb 2022 17:31:17 +0100
Subject: testExportPrivateKey_with_bad_pass(): Ignore E_NOTICE reporting.

Depending on the output of a race condition gpg(1) might terminate
before the call to `fwrite($fdCommand,,)` which then issues an E_NOTICE
report about the EPIPE.  That is allowed behavior for which we don't
want PHPUnit to convert the notice into an exception.

Bug-Debian: https://bugs.debian.org/1006028
---
 Crypt_GPG-1.6.9/tests/ExportPrivateKeyTest.php | 1 +
 1 file changed, 1 insertion(+)

diff --git a/Crypt_GPG-1.6.9/tests/ExportPrivateKeyTest.php b/Crypt_GPG-1.6.9/tests/ExportPrivateKeyTest.php
index b0aa9e1..ad1f899 100644
--- a/Crypt_GPG-1.6.9/tests/ExportPrivateKeyTest.php
+++ b/Crypt_GPG-1.6.9/tests/ExportPrivateKeyTest.php
@@ -101,6 +101,7 @@ class ExportPrivateKeyTest extends Crypt_GPG_TestCase
      */
     public function testExportPrivateKey_with_bad_pass()
     {
+        error_reporting(error_reporting() & ~E_NOTICE);
         $this->expectException('Crypt_GPG_BadPassphraseException');
 
         if (version_compare($this->gpg->getVersion(), '2.1.0', 'lt')) {
